#include <Servo.h>

#define FAN 9
#define SENSOR_1 A0
#define SENSOR_2 A1
#define START_TEMPERATURE 27
#define SERVO_PIN 8
#define MINIMUM_COOLING_TIME 5000
#define CELSIUS_CONVERT 0.48828125

Servo servo;
float temperature1;
float temperature2;

void setup() {
    pinMode(SENSOR_1, INPUT);
    pinMode(SENSOR_2, INPUT);
    pinMode(FAN, OUTPUT);
    delay(2000);
    Serial.begin(9600);
    servo.attach(SERVO_PIN);
    servo.write(0);
}

void loop() {
    temperature1 = analogRead(SENSOR_1);
    temperature1 = temperature1 * CELSIUS_CONVERT;
   
    temperature2 = analogRead(SENSOR_2);
    temperature2 = temperature2 * CELSIUS_CONVERT;
   
    Serial.print("Temperatura senzorului 1 este de ");
    Serial.print(temperature1);
    Serial.println(" grade.");
    Serial.print("Temperatura senzorului 2 este de ");
    Serial.print(temperature2);
    Serial.println(" grade.");
  
    if (temperature1 < START_TEMPERATURE && temperature2 < START_TEMPERATURE) {
        digitalWrite(FAN, LOW);
    } else {
        digitalWrite(FAN, HIGH);
        if (temperature1 > temperature2) {
            servo.write(180);
        } else {
            servo.write(0);
        }
    }
    delay(MINIMUM_COOLING_TIME);
}
